package com.community.huiju.dao;

import com.community.huiju.model.TaFace;
import com.community.huiju.model.TpTicket;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

@Mapper
public interface TaFaceMapper{
    int deleteByPrimaryKey(Integer id);

    int insert(TaFace record);

    int insertSelective(TaFace record);

    int selectByPrimaryKey(Integer id);

    void updateByPrimaryKeySelective(TaFace record);

    /**
     * 查看当前用户信息
     * @param userVerifyId
     * @return
     */
    TaFace getByUserVerifyId(@Param("userVerifyId") Integer userVerifyId);

    /**
     * 查看当前信息
     * @param id
     * @return
     */
    TaFace getById(@Param("id")Integer id);

    /**
     * 根据审核ID删除人脸信息
     * @param verifyId
     */
    void deleteFace(@Param("verifyId") Integer verifyId);
}